import { useActionState } from "react";
import { InsertResult, addWine } from "~/server/actions/addWine";
import { getProducers } from "~/server/actions/allProducers";

type Wine = {
  name: string;
  producer: string;
};

const producers = await getProducers();

export default function CreateWine() {
  const [formState, formAction] = useActionState(addWine, {
    message: "",
    errors: undefined,
    fieldValues: {
      name: "",
      producer: "",
    },
  });

  return (
    <div>
      <form action={formAction}>
        <input type="text" name="name" />
        <select name="producer">
          {producers.map((producer, i) => (
            <option key={i} value={producer.id}>
              {producer.name}
            </option>
          ))}
        </select>
        <button type="submit">Add wine</button>
      </form>
    </div>
  );
}
